com.google.gwt.user.client.ui

## Class ListenerWrapper.WrappedChangeListener

- java.lang.Object
- - com.google.gwt.user.client.BaseListenerWrapper<T>
  - - com.google.gwt.user.client.ui.ListenerWrapper<ChangeListener>
    - - com.google.gwt.user.client.ui.ListenerWrapper.WrappedChangeListener

All Implemented Interfaces:
  ChangeHandler, EventHandler

Enclosing class:
  ListenerWrapper<T>

Deprecated.
will be removed in GWT 2.0 along with the listeners being wrapped

    @Deprecated
    public static class ListenerWrapper.WrappedChangeListener
    extends ListenerWrapper<ChangeListener>
    implements ChangeHandler

Wrapper for a `ChangeListener`.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.ListenerWrapper

`ListenerWrapper.WrappedChangeListener, ListenerWrapper.WrappedClickListener, ListenerWrapper.WrappedFocusListener, ListenerWrapper.WrappedKeyboardListener, ListenerWrapper.WrappedLoadListener, ListenerWrapper.WrappedLogicalChangeListener<V>, ListenerWrapper.WrappedMouseListener, ListenerWrapper.WrappedMouseWheelListener, ListenerWrapper.WrappedOldDisclosureHandler, ListenerWrapper.WrappedOldFormHandler, ListenerWrapper.WrappedOldSuggestionHandler, ListenerWrapper.WrappedPopupListener, ListenerWrapper.WrappedScrollListener, ListenerWrapper.WrappedTableListener, ListenerWrapper.WrappedTabListener, ListenerWrapper.WrappedTreeListener`

### Constructor Summary

Constructors
Constructor and Description
`WrappedChangeListener(ChangeListener listener)` Deprecated.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static ListenerWrapper.WrappedChangeListener` `add(HasChangeHandlers source, ChangeListener listener)` Deprecated. will be removed in GWT 2.0 along with the listener classes
`void` `onChange(ChangeEvent event)` Deprecated. Called when a change event is fired.
`static void` `remove(Widget eventSource, ChangeListener listener)` Deprecated. will be removed in GWT 2.0 along with the listener classes

### Methods inherited from class com.google.gwt.user.client.ui.ListenerWrapper

`baseRemove, getSource, setSource`

### Methods inherited from class com.google.gwt.user.client.BaseListenerWrapper

`baseRemove, getListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WrappedChangeListener

    WrappedChangeListener(ChangeListener listener)

Deprecated.

### Method Detail

#### add

    @Deprecated
    public static ListenerWrapper.WrappedChangeListener add(HasChangeHandlers source,
                                                                        ChangeListener listener)

Deprecated. will be removed in GWT 2.0 along with the listener classes
Adds the wrapped listener.

Parameters:
  `source` - the event source
  `listener` - the listener
Returns:
  the wrapped listener

#### remove

    @Deprecated
    public static void remove(Widget eventSource,
                                          ChangeListener listener)

Deprecated. will be removed in GWT 2.0 along with the listener classes
Removes the wrapped listener.

Parameters:
  `eventSource` - the event source from which to remove the wrapped listener
  `listener` - the listener to remove

#### onChange

    public void onChange(ChangeEvent event)

Deprecated.
Description copied from interface: `ChangeHandler`
Called when a change event is fired.

Specified by:
  `onChange` in interface `ChangeHandler`
Parameters:
  `event` - the `ChangeEvent` that was fired